classification
Title: Remove flake8 exception for deprecation warning (importlib.metadata)
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.11, Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: jaraco Nosy List: jaraco, miss-islington
Priority: normal Keywords: patch

Created on 2021-06-20 01:48 by jaraco, last changed 2021-06-28 12:38 by jaraco. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 26807 merged jaraco, 2021-06-20 01:53
PR 26929 merged miss-islington, 2021-06-27 21:59
Messages (3)
msg396159 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2021-06-20 01:48
importlib_metadata 4.5 (https://importlib-metadata.readthedocs.io/en/latest/history.html#v4-5-0) removed the special exclusion for flake8 in the deprecation warning for deprecated interfaces in entry_points. For the same motivations there, do the same in importlib.metadata.
msg396606 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2021-06-27 21:59
New changeset efe7d08d178a7c09bcca994f2068b019c8633d83 by Jason R. Coombs in branch 'main':
bpo-44464: Remove special exclusion for flake8 in the deprecation warnings. (#26807)
https://github.com/python/cpython/commit/efe7d08d178a7c09bcca994f2068b019c8633d83
msg396608 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2021-06-27 22:19
New changeset f4b31cdbc043449f3df7d291da67bcb3736be0db by Miss Islington (bot) in branch '3.10':
bpo-44464: Remove special exclusion for flake8 in the deprecation warnings. (GH-26807) (GH-26929)
https://github.com/python/cpython/commit/f4b31cdbc043449f3df7d291da67bcb3736be0db
History
Date User Action Args
2021-06-28 12:38:45jaracosetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-06-27 22:19:40jaracosetmessages: + msg396608
2021-06-27 21:59:30jaracosetmessages: + msg396606
2021-06-27 21:59:27miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request25499
2021-06-20 01:53:55jaracosetkeywords: + patch
stage: patch review
pull_requests: + pull_request25388
2021-06-20 01:48:38jaracocreate